#include <mega8.h>
#include <delay.h>
#include <alcd.h>
#define ADC_VREF 0xe0 //Lay ap 2.56V, ADLAR=1
unsigned char read_adc(unsigned char adc_input){
    ADMUX=adc_input | ADC_VREF;  //Chon kenh ADC va ap so sanh
    ADCSRA|=0x40; //Start ADC
    while (!(ADCSRA & 0x10)); //Kiem tra co ADC
    ADCSRA|=0x10;
    return ADCH; //ADC 8bit
}
void temp(unsigned char z){ //Chuyen doi hien thi
    lcd_puts("Nhiet do: ");
    lcd_putchar((z/100)+48);
    lcd_putchar((z%100/10)+48);
    lcd_putchar((z%10)+48); 
    lcd_puts("oC");
}
void main(void){   
    ADMUX=ADC_VREF;
    ADCSRA=0x86; //Fosc/64
    lcd_init(16);
    lcd_puts("Do nhiet do...");
    delay_ms(2000);  
    lcd_clear();
    lcd_puts("SangTaoClub.Net");
    while (1){
     lcd_gotoxy(0,1);
     temp(read_adc(0)); //Show Temp
    }
}
